# Interface IParameterValues

All Known Implementing Classes:
  `ExtensionParameterValues, SplitValues`

public interface IParameterValues

The parameters for a command. This interface will only be consulted if the parameters need to be displayed to the user. Otherwise, they will be ignored.

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`Map`
`getParameterValues()`
Returns a map keyed by externalized names for parameter values.

## Method Details

### getParameterValues

Map getParameterValues()
Returns a map keyed by externalized names for parameter values. These names should be human-readable, and are generally for display to the user in a user interface of some sort. The values should be actual values that will be interpreted by the handler for the command.

Returns:
  A map of the externalizable name of the parameter value (`String`) to the actual value of the parameter (`String`).